2018-02-18 01:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000196openmediavaultFeaturepublic2018-02-11 09:31
Reporterorigin_de 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0000196: default NFS exports options and avahi
DescriptionThe default NFS export options are:
    ro,subtree_check,secure

avahi/zeroconf announces the NFS service on port 2049.
This makes the client wanting to connect on this port
for NFS. This means the share must be exported insecure
because "secure" NFS requests require that requests originate
on an Internet port less than IPPORT_RESERVED (1024).
Therefore my recomendation to default to "insecure".

Thx

TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0001788

SimonW500 (reporter)

Last edited: 2012-11-12 12:25

View 2 revisions

Also observe this issue - confirm manual change of export options to 'insecure' required for NFS to function.

Suggest this is a quick-win fix due to OMV's media credentials and with NFS being the most efficient protocol to use for sharing media to local devices.

~0005126

MathieuMD (reporter)

Still a problem with 3.0.96 (Erasmus) :

```
root@openmediavault:~# tail -1 /etc/exports
/export 192.168.1.0/24(ro,fsid=0,root_squash,no_subtree_check,hide)

# [Trying access to /export/media from Gnome client]

root@openmediavault:~# tail -2 /var/log/syslog
Feb 10 11:50:05 openmediavault rpc.mountd[14486]: refused mount request from 192.168.1.123 for /export (/export): illegal port 49214
Feb 10 11:58:58 openmediavault rpc.mountd[14955]: refused mount request from 192.168.1.123 for /export (/export): illegal port 59002
```

Versus:

```
root@openmediavault:~# tail -1 /etc/exports
/export 192.168.1.0/24(ro,fsid=0,root_squash,no_subtree_check,hide,insecure)
root@openmediavault:~# sudo systemctl restart nfs-kernel-server.service

# [Trying access to /export/media from Gnome client]

root@openmediavault:~# tail -2 /var/log/syslog
Feb 10 12:09:30 openmediavault rpc.mountd[15671]: authenticated mount request from 192.168.1.123:55078 for /export (/export)
Feb 10 12:09:30 openmediavault rpc.mountd[15671]: authenticated mount request from 192.168.1.123:55078 for /export/media (/export/media)
```

~0005127

votdev (administrator)

Fixed in openmediavault 3.0.97 (https://github.com/openmediavault/openmediavault/commit/b13ded6a4b31b2b91719923dcaf8e727632a3758) and 4.0.18 (https://github.com/openmediavault/openmediavault/commit/62eb6048a22c335816ac198d93a932f8e0bcf1b6).
+Notes

-Issue History
Date Modified Username Field Change
2011-10-29 00:41 origin_de New Issue
2011-10-29 00:41 origin_de Status new => assigned
2011-10-29 00:41 origin_de Assigned To => votdev
2012-11-12 12:25 SimonW500 Note Added: 0001788
2012-11-12 12:25 SimonW500 Note Edited: 0001788 View Revisions
2018-02-10 12:16 MathieuMD Note Added: 0005126
2018-02-11 09:31 votdev Status assigned => resolved
2018-02-11 09:31 votdev Resolution open => fixed
2018-02-11 09:31 votdev Fixed in Version => Erasmus (3.x)
2018-02-11 09:31 votdev Note Added: 0005127
+Issue History